Aerovy Platform logo

List things

GEThttps://spectra.api.aerovy.com/v2/things

Lists all things for the calling organization — all things when no pagination params are supplied, otherwise a single page. Requires an API key with the read action.

Loading code example
Loading code example

Authorizations

apiKeystringheaderrequired

API key passed in the header.

Query Parameters

continuationTokenstring

Opaque token from a prior page; omit for the first page.

limitinteger | string<int32>

Page size; omit (with no token) to return all things.

Pattern: ^-?(?:0|[1-9]\d*)$

Response

application/json

The things (a bare array, or a paginated envelope when paginating).

itemsarray<object>
items.thingIdstringrequired
items.thingNamestringrequired
items.thingTypestringrequired
items.thingDescriptionstring
items.addressstring
items.modelstring
items.manufacturerstring
items.isFirstPartyboolean
items.thingManufacturerIdstring
items.isSimulatedbooleanrequired
items.longitudenumber | string<double>
Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$
items.latitudenumber | string<double>
Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$
items.altitudenumber | string<double>
Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$
items.integrationIdsarray<string>
items.orgIdstringrequired
items.tenantIdstringrequired
items.placeTypestring
items.placeIdstring
items.levelIdnull | string
items.attributesobject
items.propertiesobject
items.thingTypeDefIndexIdnull | string
items.thingTypeDefIdnull | string
items.createdAtstring<date-time>required
items.updatedAtnull | string<date-time>
items.createdBystringrequired
items.updatedBynull | string
continuationTokennull | string
hasMoreboolean